//   symbols.sel    symbol2.sel
//  ask  ,     USD,CHF,JPY
//  bid+,   .  USD,CHF,JPY
// 
//  ,     , :
// 1.     1       " -"
// 2.  
// 3.  symbols2.sel  symbols.sel
// 4.  

#property copyright "ay"
#property link "sganalysis.com"

#include <stdlib.mqh>
#include <stderror.mqh>

#property show_inputs

// .      
extern double USD = 0.0001;
extern double CHF = 0.0001;
extern double JPY = 0.01;
extern double AUD = 0.0001;
extern double GBP = 0.0001;

int start() {
   int f_in = FileOpenHistory("symbols.sel", FILE_BIN | FILE_READ);  
   int f_out = FileOpenHistory("symbols2.sel", FILE_BIN | FILE_WRITE);  
   
   if(f_in<0) {
      Print("Error while opening symbols.sel for reading: "+ErrorDescription(GetLastError()));
      return(2);
   }   
   
   if(f_out<0) {
      Print("Error while opening symbols2.sel for writing: "+ErrorDescription(GetLastError()));
      return(2);
   }   
   
   int buf1;
   int tmp[13];
   
   FileSeek(f_in, 0, SEEK_SET);
   
   buf1 = FileReadInteger(f_in);
   FileWriteInteger(f_out, buf1);
   
   string s = "";
   double bid = 0;
   double ask = 0;
   double max,min;
   
   int b_pos;
   int ba_pos;
   
   
   while(!FileIsEnding(f_in)) {   
      s = FileReadString(f_in, 12);
      
      if(FileIsEnding(f_in)) break;
      
      FileWriteString(f_out, s, 12); //  
      
      FileReadArray(f_in, tmp, 0, 13);
      FileWriteArray(f_out, tmp, 0, 13);
      
      ba_pos = FileTell(f_in);
      
      bid = FileReadDouble(f_in);//bid
      ask = FileReadDouble(f_in);//ask
      
      if(StringFind(s,"USD")==3) {
         ask = bid+USD;
      } else if(StringFind(s,"CHF")==3) {
         ask = bid+CHF;
      } else if(StringFind(s,"JPY")==3) {
         ask = bid+JPY;
      } else if(StringFind(s,"AUD")==3) {
         ask = bid+AUD;
      } else if(StringFind(s,"GBP")==3) {
         ask = bid+GBP;
      }

      Print(s+" bid="+bid+", ask="+ask);
            
      FileWriteDouble(f_out, bid);
      FileWriteDouble(f_out, ask);
      
      max = FileReadDouble(f_in); // max per day
      min = FileReadDouble(f_in); // min per day
      
      FileWriteDouble(f_out, max);
      FileWriteDouble(f_out, min);
      
      FileReadArray(f_in, tmp, 0, 4);
      FileWriteArray(f_out, tmp, 0, 4);
      
      FileReadDouble(f_in);
      FileReadDouble(f_in);   
      
      FileWriteDouble(f_out, bid);
      FileWriteDouble(f_out, ask);   
   }
   
   FileClose(f_in);
   FileClose(f_out);
   
   return(0);
}